org.apache.struts2.el.parser

## Class TokenMgrError

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Error
    - - org.apache.struts2.el.parser.TokenMgrError

- All Implemented Interfaces:
    Serializable

      public class TokenMgrError
      extends Error

  Token Manager Error.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TokenMgrError()` No arg constructor.
    `TokenMgrError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, String errorAfter, char curChar, int reason)` Full Constructor.
    `TokenMgrError(String message, int reason)` Constructor with message and reason.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `addEscapes(String str)` Replaces unprintable characters by their escaped (or unicode escaped) equivalents in the given string
    `String` | `getMessage()` You can also modify the body of this method to customize your error messages.
    `protected static String` | `LexicalError(boolean EOFSeen, int lexState, int errorLine, int errorColumn, String errorAfter, char curChar)` Note: You can customize the lexical error message by modifying this method.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TokenMgrError

          public TokenMgrError()

      No arg constructor.

    - #### TokenMgrError

          public TokenMgrError(String message,
                       int reason)

      Constructor with message and reason.
      Parameters:
        `message` - the error message
        `reason` - the reason

    - #### TokenMgrError

          public TokenMgrError(boolean EOFSeen,
                       int lexState,
                       int errorLine,
                       int errorColumn,
                       String errorAfter,
                       char curChar,
                       int reason)

      Full Constructor.
      Parameters:
        `EOFSeen` - indicates if EOF caused the lexical error
        `lexState` - lexical state in which this error occurred
        `errorLine` - line number when the error occurred
        `errorColumn` - column number when the error occurred
        `errorAfter` - prefix that was seen before this error occurred
        `curChar` - the offending character
        `reason` - the reason

  - ### Method Detail

    - #### addEscapes

          protected static final String addEscapes(String str)

      Replaces unprintable characters by their escaped (or unicode escaped) equivalents in the given string
      Parameters:
        `str` - string
      Returns:
        escaped string

    - #### LexicalError

          protected static String LexicalError(boolean EOFSeen,
                            int lexState,
                            int errorLine,
                            int errorColumn,
                            String errorAfter,
                            char curChar)

      Note: You can customize the lexical error message by modifying this method.
      Parameters:
        `EOFSeen` - : indicates if EOF caused the lexical error
        `lexState` - : lexical state in which this error occurred
        `errorLine` - : line number when the error occurred
        `errorColumn` - : column number when the error occurred
        `errorAfter` - : prefix that was seen before this error occurred
        `curChar` - : the offending character
      Returns:
        a detailed message for the Error when it is thrown by the token manager to indicate a lexical error.

    - #### getMessage

          public String getMessage()

      You can also modify the body of this method to customize your error messages. For example, cases like LOOP_DETECTED and INVALID_LEXICAL_STATE are not of end-users concern, so you can return something like : "Internal Error : Please file a bug report .... " from this method for such cases in the release version of your parser.
      Overrides:
        `getMessage` in class `Throwable`
      Returns:
        the message

Copyright © 2000–2021 Apache Software Foundation. All rights reserved.